Organizations
Create the first workspace
Creates a replacement first workspace under the signed-in user's billing account when no workspace membership remains.
Creates a replacement first workspace under the signed-in user's billing account when no workspace membership remains.
Authorization
apiKey x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/organizations/bootstrap" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "billingAccountId": "string", "name": "string", "slug": "string", "defaultCurrency": "string", "countryCode": "string", "timezone": "string", "billingEmail": "string", "plan": "string", "isActive": true, "createdAt": "string", "updatedAt": "string", "metadata": {}, "design": { "theme": { "colors": { "property1": "string", "property2": "string" }, "colorsDark": { "property1": "string", "property2": "string" }, "radiusPx": { "property1": 0, "property2": 0 }, "fontFamilies": { "property1": { "source": "system", "family": "string", "fallback": "string", "faces": [ { "weight": 100, "style": "normal", "src": "string", "unicodeRange": "string" } ] }, "property2": { "source": "system", "family": "string", "fallback": "string", "faces": [ { "weight": 100, "style": "normal", "src": "string", "unicodeRange": "string" } ] } }, "fontWeights": { "property1": 100, "property2": 100 }, "text": { "property1": { "sizePx": 1, "lineHeightPx": 1 }, "property2": { "sizePx": 1, "lineHeightPx": 1 } }, "leading": { "property1": 0, "property2": 0 }, "spacingPx": 1, "containerPx": { "property1": 1, "property2": 1 }, "tracking": { "property1": 0, "property2": 0 } }, "assets": { "logoUrl": "string", "logoDarkUrl": "string", "iconUrl": "string" }, "footer": { "companyName": "string", "address": { "street1": "string", "street2": "string", "city": "string", "region": "string", "postalCode": "string", "country": "string" }, "socialLinks": [ { "label": "string", "url": "string" } ], "customHtml": "string" } }, "replyToDefault": [ "string" ], "defaultUnsubscribeGroupId": "string", "emailFooterEnabledDefault": true, "messagesUsed": 0, "messagesUsedThisMonth": 0, "emailUsed": 0, "emailUsedThisMonth": 0, "contactsUsed": 0, "conversationsUsed": 0, "teamMembersUsed": 0, "messagesResetAt": "string"}